# Get fees

Gets a list of fees.

Endpoint: GET /config/fees
Version: 4.0.0
Security: Bearer

## Security:

  - `Bearer` (unknown)
    apiKey in header Authorization

## Query parameters:

  - `page` (integer)
    Number of pages returned. Returns one page of results when set to `0`.

  - `size` (integer)
    Number of objects returned per page.

## Response 200:

  - `200` (unknown)
    Successfully returns list of fees.

## Response 200 fields (application/json):

  - `first` (boolean)
    true if  this is the first page.

  - `last` (boolean)
    true if  this is the last page.

  - `number` (integer)
    page number

  - `numberOfElements` (integer)
    Number Of elements in this request

  - `size` (integer)
    page size

  - `totalElements` (integer)
    Total number of elements for the given request

  - `totalPages` (integer)
    Total number of pages for the given request

  - `sort` (array)
    Sort details of this page

  - `sort.direction` (string)
    Direction of the sort
    Example: ASC

  - `sort.property` (string)

  - `sort.ignoreCase` (boolean)

  - `sort.nullHandling` (string)
    Example: NULLS_FIRST

  - `sort.ascending` (boolean)
    Example: true

  - `sort.descending` (boolean)
    Example: false

  - `content` (array)
    Provides an array of fee objects.

  - `content.value` (number, required)
    Value of the fee to be applied. fiat node uses this value and `fee_type` to calculate the fee.
    Example: 2

  - `content.currency_code` (string, required)
    Currency this fee applies to.
    Example: USD

  - `content.role_type` (string, required)
    Role of the party to which the fee applies.If set to `SENDING`, the fee is charged to the originator of the payment. If set to `RECEIVING`, the fee is charged to the beneficiary of the payment. If set to `INSTITUTION_SENDING`, the fee is charged to the financial institution that is sending the payment. If set to `INSTITUTION_RECEIVING`, the fee is charged to the financial institution that is receiving the payment.
    Enum: "SENDING", "RECEIVING", "INSTITUTION_SENDING", "INSTITUTION_RECEIVING"

  - `content.payment_type` (string, required)
    Payment type the fee applies to.
    Enum: "REGULAR", "RETURN"

  - `content.node_type` (string, required)
    Fiat node to which the fee applies.If set to `INITIAL`, the fee is charged to the first fiat instance in the payment chain. If set to `INTERMEDIATE`, the fee is charged to each fiat instance in the payment chain that is not the first or last fiat instance. If set to `TERMINAL`, the fee is charged to the last fiat instance in the payment chain.
    Enum: "INITIAL", "INTERMEDIATE", "TERMINAL"

  - `content.fee_type` (string, required)
    Method used to calculate the fee.
    Enum: "PERCENTAGE", "FLAT_RATE"

  - `content.partner_name` (string)
    Owner of the account involved in the payment, in RippleNet Address format. For example, `rn.us.ca.san_francisco`.
    Example: rn.us.ca.san_francisco

  - `content.account_name` (string)
    For a fee that applies to a specific account, provides the account name. Used in combination with the `partner_name` value.
    Example: conct_usd_sf

  - `content.upper_limit` (number)
    For a slab-based fee, provides the upper limit of the slab. Used in combination with the `lower_limit` value.
    Example: 1000

  - `content.lower_limit` (number)
    For a slab-based fee, provides the lower limit of the slab. Used in combination wtih the `upper_limit` value.
    Example: 0

  - `content.feeId` (string, required)
    Unique identifier of the fee.
    Example: 7740f31c-ca03-4414-b491-b285aef71eb1

  - `content.payout_method` (string)
    The payout method for this fee.
    Example: LOCAL_RAILS

  - `content.fee_category` (string)
    Category that describes the purpose of the fee.
    Enum: "NONE", "OVERSEAS_DELIVERY_CHARGES", "BENEFICIARY_BANK_CHARGE", "PROCESSING_HANDLING_CHARGE", "LOCAL_GOVERNMENT_CHARGE", "OTHER"

  - `content.fee_description` (string)
    Optional free-form description for the fee.

## Response 400:

  - `400` (unknown)
    Bad request.

## Response 400 fields (application/json):

  - `type` (string)
    URL to the error documentation.
    Example: https://errors.ripplenet.ripple.com/error/json-processing-error

  - `title` (string)
    Summary of the returned problem.
    Example: Invalid Request Object

  - `detail` (string)
    Description of the returned problem.
    Example: The request parameter [account_id] is not in the correct format.

  - `status` (number)
    HTTP error code.
    Example: 400

  - `ripplenet_error_code` (string)
    RippleNet specific error code.
    Example: E0104

  - `finality` (string)
    Specifies if the request can be retried for a successful response.
    Example: PERMANENT

